Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.batchext
Class FtpFileClientImplUser0

    java.lang.Object
      com.stc.eways.batchext.FtpFileClientImpl
          com.stc.eways.batchext.FtpFileClientImplUser0

All Implemented Interfaces:
  FtpFileClient

    public class FtpFileClientImplUser0

extends FtpFileClientImpl

This is a sample implementation of user-defined client implementation class. This class is a sample implementation of a user-defined FTP ETD client implementation class.

This class simply extends the e*Way's standard implementation class FtpFileClientImpl.

Because this class does no extra work, it operates in the same way as FtpFileClientImpl except that it outputs some extra messages.

Version:
  cvs revision: $Revision: 1.5 $ Last Modified: $Date: 2008/02/25 16:56:24 $
Author:
  Harry Liu

Field Summary

Fields inherited from class com.stc.eways.batchext.FtpFileClientImpl
`mLogger, transferAllowed`

Fields inherited from interface com.stc.eways.batchext.FtpFileClient
`ENCODING_BIG5, ENCODING_DEFAULT, ENCODING_EUC_JP, ENCODING_GBK, ENCODING_JIS, ENCODING_SJIS, TC_GET, TC_PUT`

Constructor Summary
`FtpFileClientImplUser0()`

Method Summary
`void` | `get()` Retrieves a file from the remote FTP server.
`void` | `initialize(FtpETD etd)` Initializes the FTP ETD.
`void` | `put()` Stores a remote FTP file.

Methods inherited from class com.stc.eways.batchext.FtpFileClientImpl
`allowTransfer, cleanupPostTransferGet, cleanupPostTransferPut, cleanupPreTransferGet, cleanupPreTransferPut, cleanupRawCommands, cleanupTransferGet, cleanupTransferPut, close, connect, connect, disconnect, doPostTransferGet, doPostTransferPut, doPreTransferGet, doPreTransferPut, doRawCommands, doTransferGet, doTransferPut, getIfExists, getLogger, getPayload, getResolvedNamesForGet, getResolvedNamesForPut, getUserProperties, initialConfigValues, isConnected, isOpen, isXA, main, open, open, releaseResources, reset, restoreConfigValues, setInputStreamAdapter, setOutputStreamAdapter, setPayload, terminate, undoPostTransferGet, undoPostTransferPut, undoPreTransferGet, undoPreTransferPut, undoRawCommands, undoTransferGet, undoTransferPut`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FtpFileClientImplUser0

    public FtpFileClientImplUser0()

Method Detail

### initialize

    public void initialize(FtpETD etd)
                    throws FtpFileException

  Initializes the FTP ETD. It overwrites the super class method and just sends out some extra messages.

  Specified by:
    `initialize` in interface `FtpFileClient`
  Overrides:
    `initialize` in class `FtpFileClientImpl`
  Parameters:
    `etd` - The FTP ETD object instance.
  Throws:
    `FtpFileException` - If some error occurs.

### put

    public void put()
             throws FtpFileException

  Stores a remote FTP file. This method is exposed in the ETD structure and takes the related e*Way Connection's configuration parameters as its input. The method encapsulates all necessary FTP operations and overwrites the super class method and just sends out some extra messages.

  Specified by:
    `put` in interface `FtpFileClient`
  Overrides:
    `put` in class `FtpFileClientImpl`
  Throws:
    `FtpFileException` - If some error occurs.

### get

    public void get()
             throws FtpFileException

  Retrieves a file from the remote FTP server. This method retrieves the first matching entry under your directory and file name. It is exposed in ETD structure and takes the e*Way Connection's configuration parameters as its input. The method encapsulates all necessary FTP operations and overwrites the super class method and just sends out some extra messages. Note: If no qualified file is available for retrieving, you will get the exception containing java.io.FileNotFoundExcetion as a nested exception.

  Specified by:
    `get` in interface `FtpFileClient`
  Overrides:
    `get` in class `FtpFileClientImpl`
  Throws:
    `FtpFileException` - If some error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD